CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Qualifier Class Reference
Inheritance diagram for Qualifier:
[legend]
Collaboration diagram for Qualifier:
[legend]

## Public Member Functions
| Name ($NewValue=DB_NOVALUE)
| Get or set the qualifier name. More...
| NSpace ($NewValue=DB_NOVALUE)
| Get or set the qualifier namespace. More...
| Url ($NewValue=DB_NOVALUE)
| Get or set the qualifier URL. More...
Public Member Functions inherited from Item
| __construct ($Id)
| Constructor, used to load existing items. More...
| Destroy ()
| Destroy item. More...
| Delete ()
| Destroy item. More...
| Id ()
| Get item ID. More...
| Name ($NewValue=DB_NOVALUE)
| Get/set name of item. More...
| DateCreated ($NewValue=DB_NOVALUE)
| Get/set when item was created. More...
| CreatedBy ($NewValue=DB_NOVALUE)
| Get/set ID of user who created the item. More...
| DateLastModified ($NewValue=DB_NOVALUE)
| Get/set when item was last modified. More...
| LastModifiedBy ($NewValue=DB_NOVALUE)
| Get/set ID of user who last modified the item. More...

## Static Public Member Functions
static | Create ()
| Initialize a new qualifier. More...
Static Public Member Functions inherited from Item
static | GetCanonicalId ($Id)
| Normalize item ID to canonical form. More...
static | ItemExists ($Id)
| Check whether an item exists with the specified ID. More...

## Additional Inherited Members
Public Attributes inherited from Item
const | NO_ITEM = -2123456789
| ID value used to indicate no item. More...
Protected Member Functions inherited from Item
| UpdateValue ($ColumnName, $NewValue=DB_NOVALUE)
| Convenience function to supply parameters to Database::UpdateValue(). More...
| UpdateDateValue ($ColumnName, $NewValue=DB_NOVALUE)
| Convenience function to supply parameters to Database::UpdateValue(), with preprocessing of new values to convert them into an SQL-compatible date format. More...
Static Protected Member Functions inherited from Item
static | CreateWithValues ($Values)
| Create a new item, using specified initial database values. More...
static | SetDatabaseAccessValues ($ClassName)
| Set the database access values (table name, ID column name, name column name) for specified class. More...
Protected Attributes inherited from Item
| $DB
| $Id
| $ItemIdColumnName
| $ItemNameColumnName
| $ItemTableName
| $ValueCache = array()
Static Protected Attributes inherited from Item
static | $ItemIdColumnNames
static | $ItemNameColumnNames
static | $ItemTableNames

## Detailed Description

Definition at line 10 of file Qualifier.php.

## Member Function Documentation

static Qualifier::Create | ( |  | ) |
| static

Initialize a new qualifier.

Returns
  A new qualifier just created to set its parameters.

Definition at line 19 of file Qualifier.php.

References Item\$DB, and Item\$Id.

Referenced by MetadataField\LoadVocabulary(), ControlledName_Test\testControlledName(), and Qualifier_Test\testQualifier().

Here is the caller graph for this function:

Qualifier::Name | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier name.

Parameters

  string | $NewValue | Optional new qualifier name.

Returns
  string The current qualifier name.

Definition at line 45 of file Qualifier.php.

References Item\UpdateValue().

Qualifier::NSpace | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier namespace.

Parameters

  string | $NewValue | Optional new qualfier namespace.

Returns
  string The current qualifier namespace.

Definition at line 55 of file Qualifier.php.

References Item\UpdateValue().

Qualifier::Url | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier URL.

Parameters

  string | $NewValue | Optional new qualifier URL.

Returns
  string The current qualifier URL.

Definition at line 65 of file Qualifier.php.

References Item\UpdateValue().

The documentation for this class was generated from the following file:

- objects/Qualifier.php